Methylation_Clustering_CNMF:
  prerequisites: []
  root-entity: Individual_Set
  report-generating: true
  parameters:
  - {expression: methylation_preprocessed_L3_data, optional: false, name: GDAC_TopgenesforCluster1.expfile,
    mode: Simple_Expression}
  - {expression: methylation_num_genes_to_cluster, optional: true, name: GDAC_TopgenesforCluster1.selectedgenes,
    mode: Simple_Expression}
  - {expression: individual_set_id, optional: false, name: GDAC_CNMFselectcluster3.output,
    mode: Simple_Expression}
  - {expression: methylation_preprocessed_L3_data, optional: false, name: GDAC_CNMFselectcluster3.inputallexp,
    mode: Simple_Expression}
  - {expression: '2', optional: false, name: GDAC_NmfConsensusClustering2.k.int, mode: Literal}
  - {expression: '8', optional: false, name: GDAC_NmfConsensusClustering2.k.final,
    mode: Literal}
  - {expression: methylation, optional: false, name: GDAC_CnmfReports4.report, mode: Literal}
  outputs:
  - {extension: bestclus.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2003, mode: Simple_Expression}
  - {extension: subclassmarkers.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2004, mode: Simple_Expression}
  output-path: methylation/clustering_CNMF
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00415:32
